Cloud Locations API
Use the Cloud Locations API to create, update, retrieve, or delete cloud storage Locations. Before working with Cloud Locations APIs, you must first create an Analytics Cloud API account.
data-variant=info
data-slots=text
These endpoints provide methods for managing cloud locations:
- GET Locations: Retrieve all Cloud Locations for a Global Company ID
- POST create Location: Create a new cloud Location
- GET Location by UUID: Retrieve a specific cloud Location
- PUT update Location: Update a specific cloud Location
- DELETE Location: Delete a specific cloud Location
data-variant=info
data-slots=text
UUID identifier. The Location UUID is different from the account UUID, and the two should be referenced separately.GET Locations
Use this endpoint to retrieve all cloud Locations for a specified organization.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location
Request and Response Examples
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
Response
{
"content": [
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "11111111-e89b-12d3-a456-426611111111",
"createdDate": "YYYY-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "exampleuser@example.com",
"name": "Example Location",
"modifiedBy": "exampleuser@example.com",
"globalCompanyId": "exampleorg",
"properties": {}
}
],
"number": 0,
"size": 10,
"totalPages": 1,
"totalElements": 1,
"numberOfElements": 1,
"first": true,
"last": true
}
Request Parameters
The following table describes the GET Locations request parameters:
accountUuidapplicationpagelimitResponse Parameters
The following table describes the GET Locations response parameters:
contentnumbersizetotalPagestotalElementsnumberOfElementsfirstlastPOST create location
Use this endpoint to create a new cloud Location.
POST https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location
Request and Response Examples
Request
curl -X 'POST' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location" \
-H "x-api-key: {CLIENT_ID}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-d '{
"type": "s3",
"accountUuid": "11111111-e89b-12d3-a456-426611111111",
"properties": {},
"name": "Example Location",
"description": "Example location description",
"application": "DATA_WAREHOUSE",
"applicationTag": "example-tag",
"sharedTo": "exampleuser@example.com"
}'
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "11111111-e89b-12d3-a456-42661111111",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "12355555-e89b-12d3-a456-426688888888",
"createdDate": "YYYY-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "exampleuser@example.com",
"name": "Example Location",
"modifiedBy": "exampleuser@example.com",
"globalCompanyId": "exampleorg"
}
Request Parameters
The following table describes the Create Location request parameters:
typeaccountUuidpropertiesnamedescriptionapplicationapplicationTagsharedToResponse Parameters
The following table describes the Create Location response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedBypropertiesGET location by UUID
Use this endpoint to retrieve a specific cloud Location.
GET https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Request
curl -X 'GET' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/11111111-e89b-12d3-a456-426611111111" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-01T00:00:00Z",
"accountUuid": "11111111-e89b-12d3-a456-426611111111",
"description": "Example location description",
"type": "s3",
"applicationTag": "example-tag",
"uuid": "12355555-e89b-12d3-a456-426688888888",
"createdDate": "YYYY-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "exampleuser@example.com",
"name": "Example Location",
"modifiedBy": "exampleuser@example.com",
"globalCompanyId": "exampleorg"
}
Request Parameters
The following table describes the GET Location by UUID request parameters:
UUIDResponse Parameters
The following table describes the GET Location by UUID response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedByglobalCompanyIdpropertiesPUT update location
Use this endpoint to update a specific cloud Location.
PUT https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Request
curl -X 'PUT' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/1111111-e89b-12d3-a456-426611111111" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-d '{
"type": "s3",
"accountUuid": "11111111-e89b-12d3-a456-426611111111",
"properties": {},
"name": "Updated Location",
"description": "Updated location description",
"application": "DATA_WAREHOUSE",
"applicationTag": "updated-tag",
"sharedTo": "exampleuser@example.com"
}'
Response
{
"shared": false,
"lastModifiedDate": "YYYY-01-02T00:00:00Z",
"accountUuid": "11111111-e89b-12d3-a456-426611111111",
"description": "Updated location description",
"type": "s3",
"applicationTag": "updated-tag",
"uuid": "12355555-e89b-12d3-a456-426614155555",
"createdDate": "YYYY-01-01T00:00:00Z",
"deleted": false,
"application": "DATA_WAREHOUSE",
"createdBy": "exampleuser@example.com",
"name": "Updated Location",
"modifiedBy": "exampleuser@example.com",
"globalCompanyId": "exampleorg"
}
Request Parameters
The following table describes the Update Location request parameters:
UUIDtypeaccountUuidpropertiesnamedescriptionapplicationapplicationTagsharedToResponse Parameters
The following table describes the Update Location response parameters:
sharedlastModifiedDateaccountUuiddescriptiontypeapplicationTaguuidcreatedDatedeletedapplicationcreatedBynamemodifiedByglobalCompanyIdpropertiesDELETE location
Use this endpoint to delete a specific cloud Location.
DELETE https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/{UUID}
Request and Response Examples
Request
curl -X 'DELETE' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/export_locations/analytics/exportlocations/location/11111111-e89b-12d3-a456-426611111111" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
Response
{
"message": "Location deleted successfully",
"uuid": "11111111-e89b-12d3-a456-426611111111"
}
Request Parameters
The following table describes the delete Location request parameters:
UUIDResponse Parameters
The following table describes the delete Location response parameters:
messageuuidFor more information, see the following: